/*
 * Copyright COCKTAIL (www.cocktail.org), 1995, 2012 This software 
 * is governed by the CeCILL license under French law and abiding by the
 * rules of distribution of free software. You can use, modify and/or 
 * redistribute the software under the terms of the CeCILL license as 
 * circulated by CEA, CNRS and INRIA at the following URL 
 * "http://www.cecill.info". 
 * As a counterpart to the access to the source code and rights to copy, modify 
 * and redistribute granted by the license, users are provided only with a 
 * limited warranty and the software's author, the holder of the economic 
 * rights, and the successive licensors have only limited liability. In this 
 * respect, the user's attention is drawn to the risks associated with loading,
 * using, modifying and/or developing or reproducing the software by the user 
 * in light of its specific status of free software, that may mean that it
 * is complicated to manipulate, and that also therefore means that it is 
 * reserved for developers and experienced professionals having in-depth
 * computer knowledge. Users are therefore encouraged to load and test the 
 * software's suitability as regards their requirements in conditions enabling
 * the security of their systems and/or data to be ensured and, more generally, 
 * to use and operate it in the same conditions as regards security. The
 * fact that you are presently reading this means that you have had knowledge 
 * of the CeCILL license and that you accept its terms.
 */
package org.cocktail.carambole.server.components;

// Generated by the WOLips Templateengine Plug-in at 28 nov. 2007 10:07:35

import org.cocktail.carambole.server.MyComponent;
import org.cocktail.fwkcktldepense.server.finder.FinderExercice;
import org.cocktail.fwkcktldepense.server.metier.EOEngagementBudget;
import org.cocktail.fwkcktldepense.server.metier.EOExercice;

import com.webobjects.appserver.WOContext;
import com.webobjects.eocontrol.EOEditingContext;
import com.webobjects.foundation.NSArray;

public class Engagement extends MyComponent {

	private static final long serialVersionUID = 1L;
	public EOEngagementBudget engagement = null;
	String selectedTab = null;

	// Onglet Informations
	private NSArray<EOExercice> lesExercices = null;

	public Engagement(WOContext context) {
		super(context);
		if (getSelectedTab() == null) {
			setSelectedTab("Informations");
		}
	}

	public NSArray<String> itemsMenu() {
		NSArray<String> items = new NSArray<String>();
		return items;
	}

	// Methodes relatives a l'onglet Informations

	public NSArray<EOExercice> getLesExercices() {
		if (engagement != null) {
			EOEditingContext ed = engagement.editingContext();
			if (ed != null) {
				lesExercices = FinderExercice.getExercicesOuvertsPourUtilisateur(ed, utilisateurInContext(ed));
			}
		}
		else {
			lesExercices = null;
		}
		return lesExercices;
	}

	public void setLesExercices(NSArray<EOExercice> lesExercices) {
		this.lesExercices = lesExercices;
	}

	public boolean isPopupExercicesDisabled() {
		boolean isPopupExercicesDisabled = true;
		/*
		 * NSArray exercices = getLesExercices();
		 * 
		 * if (engagement != null) { NSArray articles = engagement.; NSArray commandeBudgets = commande.commandeBudgets(); if (isNouvelleCommande() &&
		 * exercices!= null && exercices.count()>1 && (articles == null || articles.count()==0) && (commandeBudgets == null ||
		 * commandeBudgets.count()==0)) { isPopupExercicesDisabled = false; } }
		 */return isPopupExercicesDisabled;
	}

	// Accessors de l'engagement en cours de creation ou modification
	public EOEngagementBudget getEngagement() {
		return engagement;
	}

	public void setEngagement(EOEngagementBudget engagement) {
		this.engagement = engagement;
	}

	// Accessors de l'onglet selectionne
	public String getSelectedTab() {
		return selectedTab;
	}

	public void setSelectedTab(String selectedTab) {
		this.selectedTab = selectedTab;
	}

}